/*
Accéléromètre et gyroscope avec gyroJs
-------------------------------------

pour accéder au gyro/accéléro, il y a plusieurs moyens :

- p5js a prévu plusieurs solutions comme accelerationX, accelerationY, etc
	http://p5js.org/reference/#group-Events
	sauf que ça marche pas sur mon mobile android par exemple

- y accéder en Javascript "pur", pas très compliqué
	mais les valeurs peuvent varier entre iOS et android

- le plugin gyrojs, qui n'est pas lié à p5js mais qui facilite les choses
	et uniformise les valeurs entre iOS et Android !

Homepage de gyrojs :
http://tomg.co/gyrojs

sauf que je n'ai jamais trouvé où on téléchargeait le plugin...
bon, vous l'avez dans le zip de ce sketch !
*/

var gyr = {};

function setup(){ 
	createCanvas(windowWidth, windowHeight);
console.log(gyro);
	console.log(gyro.getFeatures());

	// démarrer gyrojs
	gyro.frequency = 10; // rafraichir 10 fois par secondes
	gyro.startTracking(function(e) {
        // e.x, e.y, e.z for accelerometer
        // e.alpha, e.beta, e.gamma for gyro
        gyr = e;
        // à partir de là on peut accéder à gyr.x, gyr.alpha, etc
        // ils seront à jour
    });
}

function draw(){

	background('#0046FE'); // effacer l'écran

	// afficher les valeurs captées, pour se rendre compte...
	fill(255);
	text("gyr.x : "+gyr.x, 30, 90);
	text("gyr.y : "+gyr.y, 30, 110);
	text("gyr.z : "+gyr.z, 30, 130);
	text("gyr.alpha : "+gyr.alpha, 30, 150);
	text("gyr.beta : "+gyr.beta, 30, 170);
	text("gyr.gamma : "+gyr.gamma, 30, 190);

	/*
	à ce stade, ce sont donc des nombres, que vous pouvez
	utiliser comme vous voulez !
	*/

	// afficher le titre du sketch
	fill(255); // rectangle blanc sous le texte...
	noStroke();
	rect(15, 8, 256, 62)
	fill('#0046FE');
	text("// Accéléromètre et gyroscope avec gyroJs", 30, 30);
	text("A tester sur mobile ou tablette...", 30, 60);
}